## nfs4-acl-tools 0.3.3

=== Makefile ===
#
# Copyright (c) 2000-2003 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = .
HAVE_BUILDDEFS = $(shell test -f $(TOPDIR)/include/builddefs && echo yes || echo no)

ifeq ($(HAVE_BUILDDEFS), yes)
include $(TOPDIR)/include/builddefs
endif

CONFIGURE = configure include/builddefs include/config.h
LSRCFILES = configure configure.in aclocal.m4 Makepkgs install-sh exports \
	README VERSION

LDIRT = config.log .dep config.status config.cache confdefs.h conftest* \
	Logs/* built .census install.* install-dev.* install-lib.* *.gz

SUBDIRS = include libnfs4acl nfs4_getfacl nfs4_setfacl man

default: $(CONFIGURE)
ifeq ($(HAVE_BUILDDEFS), no)
	$(MAKE) -C . $@
else
	$(SUBDIRS_MAKERULE)
endif

ifeq ($(HAVE_BUILDDEFS), yes)
include $(BUILDRULES)
else
clean:	# if configure hasn't run, nothing to clean
endif

$(CONFIGURE):
	autoconf
	./configure \
		--prefix=/ \
		--exec-prefix=/ \
		--sbindir=/bin \
		--bindir=/usr/bin \
		--libdir=/lib \
		--libexecdir=/usr/lib \
		--includedir=/usr/include \
		--mandir=/usr/share/man \
		--datadir=/usr/share \
		$$LOCAL_CONFIGURE_OPTIONS
	touch .census

aclocal.m4::
	aclocal --acdir=$(TOPDIR)/m4 --output=$@

# we don't have any docs to install just now ...
#
#install: default
#	$(SUBDIRS_MAKERULE)
#	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
#	$(INSTALL) -m 644 README $(PKG_DOC_DIR)

install: default
	$(SUBDIRS_MAKERULE)

install-dev: default
	$(SUBDIRS_MAKERULE)

install-lib: default
	$(SUBDIRS_MAKERULE)

realclean distclean: clean
	rm -f $(LDIRT) $(CONFIGURE)
	rm -rf autom4te.cache Logs

=== include/Makefile ===
#
# Copyright (c) 2001-2002 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

HFILES = libacl_nfs4.h nfs4.h
LSRCFILES = builddefs.in buildmacros buildrules config.h.in
LDIRT =

default:

include $(BUILDRULES)

install-dev: default
	$(INSTALL) -m 755 -d $(PKG_INC_DIR)
install install-lib:

=== m4/Makefile ===
#
# Copyright (c) 2003 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = \
	manual_format.m4 \
	package_attrdev.m4 \
	package_globals.m4 \
	package_utilies.m4 \
	visibility_hidden.m4

default: 

include $(BUILDRULES)

install install-dev install-lib: default

=== GUI/nfs4-acl-editor/Makefile ===
#############################################################################
# Makefile for building: nfs4-acl-editor
# Generated by qmake (2.00a) (Qt 4.1.4) on: Tue Oct 24 16:59:20 2006
# Project:  nfs4-acl-editor.pro
# Template: app
# Command: /usr/local/Trolltech/Qt/bin/qmake -unix -o Makefile nfs4-acl-editor.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT  $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/default -I. -I/home/richterd/projects/nfs/ACL/qt-4.1.4/include/QtCore -I/home/richterd/projects/nfs/ACL/qt-4.1.4/include/QtGui -I/home/richterd/projects/nfs/ACL/qt-4.1.4/include -I. -I/usr/local/include -I../../include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/home/richterd/projects/nfs/ACL/qt-4.1.4/lib
LIBS          = $(SUBLIBS)  -L/home/richterd/projects/nfs/ACL/qt-4.1.4//lib ../../libnfs4acl/libnfs4acl.a -lattr -lQtGui_debug -L/home/richterd/projects/nfs/ACL/qt-x11-opensource-src-4.1.4/lib -L/usr/X11R6/lib -lSM -lICE -lXrender -lXcursor -lfreetype -lfontconfig -lXext -lX11 -lQtCore_debug -lz -lm -ldl -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/local/Trolltech/Qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		nfs4acleditor.cpp moc_nfs4acleditor.cpp \
		qrc_nfs4-acl-editor.cpp
OBJECTS       = main.o \
		nfs4acleditor.o \
		moc_nfs4acleditor.o \
		qrc_nfs4-acl-editor.o
DIST          = /home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/qconfig.pri \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/qt_config.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/exclusive_builds.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/default_pre.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/debug.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/default_post.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/warn_on.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/qt.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/unix/thread.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/moc.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/resources.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/uic.prf \
		nfs4-acl-editor.pro
QMAKE_TARGET  = nfs4-acl-editor
DESTDIR       = 
TARGET        = nfs4-acl-editor

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: nfs4-acl-editor.pro  /home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/default/qmake.conf /home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/qconfig.pri \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/qt_config.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/exclusive_builds.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/default_pre.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/debug.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/default_post.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/warn_on.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/qt.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/unix/thread.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/moc.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/resources.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/uic.prf \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/lib/libQtGui_debug.prl \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/lib/libQtCore_debug.prl
	$(QMAKE) -unix -o Makefile nfs4-acl-editor.pro
/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/qconfig.pri:
/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/qt_config.prf:
/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/exclusive_builds.prf:
/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/default_pre.prf:
/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/debug.prf:
/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/default_post.prf:
/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/warn_on.prf:
/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/qt.prf:
/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/unix/thread.prf:
/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/moc.prf:
/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/resources.prf:
/home/richterd/projects/nfs/ACL/qt-4.1.4/mkspecs/features/uic.prf:
/home/richterd/projects/nfs/ACL/qt-4.1.4/lib/libQtGui_debug.prl:
/home/richterd/projects/nfs/ACL/qt-4.1.4/lib/libQtCore_debug.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile nfs4-acl-editor.pro

dist: 
	@$(CHK_DIR_EXISTS) ".tmp/nfs4-acl-editor1.0.0" || $(MKDIR) ".tmp/nfs4-acl-editor1.0.0"
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/nfs4-acl-editor1.0.0/ && $(COPY_FILE) --parents nfs4acleditor.h .tmp/nfs4-acl-editor1.0.0/ && $(COPY_FILE) --parents nfs4-acl-editor.qrc .tmp/nfs4-acl-editor1.0.0/ && $(COPY_FILE) --parents main.cpp nfs4acleditor.cpp .tmp/nfs4-acl-editor1.0.0/ && (cd `dirname .tmp/nfs4-acl-editor1.0.0` && $(TAR) nfs4-acl-editor1.0.0.tar nfs4-acl-editor1.0.0 && $(COMPRESS) nfs4-acl-editor1.0.0.tar) && $(MOVE) `dirname .tmp/nfs4-acl-editor1.0.0`/nfs4-acl-editor1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/nfs4-acl-editor1.0.0


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/home/richterd/projects/nfs/ACL/qt-4.1.4//bin/moc:
	(cd "$(QTDIR)/src/tools/moc" && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_nfs4acleditor.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_nfs4acleditor.cpp
moc_nfs4acleditor.cpp: nfs4acleditor.h \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/bin/moc
	/home/richterd/projects/nfs/ACL/qt-4.1.4/bin/moc $(DEFINES) $(INCPATH) nfs4acleditor.h -o moc_nfs4acleditor.cpp

compiler_rcc_make_all: qrc_nfs4-acl-editor.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_nfs4-acl-editor.cpp
qrc_nfs4-acl-editor.cpp: nfs4-acl-editor.qrc \
		/home/richterd/projects/nfs/ACL/qt-4.1.4/bin/rcc \
		images/user-light.gif \
		images/everyone.gif \
		images/citi-icon.gif \
		images/group2.gif \
		images/dmr-groop-test1.gif \
		images/user.gif \
		images/everyone2.gif
	/home/richterd/projects/nfs/ACL/qt-4.1.4/bin/rcc -name nfs4-acl-editor nfs4-acl-editor.qrc -o qrc_nfs4-acl-editor.cpp

compiler_image_collection_make_all:
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_image_collection_clean compiler_moc_source_clean compiler_uic_clean 

####### Compile

main.o: main.cpp nfs4acleditor.h

nfs4acleditor.o: nfs4acleditor.cpp nfs4acleditor.h

moc_nfs4acleditor.o: moc_nfs4acleditor.cpp 

qrc_nfs4-acl-editor.o: qrc_nfs4-acl-editor.cpp 

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== man/man1/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ../..
include $(TOPDIR)/include/builddefs

MAN_SECTION	= 1

MAN_PAGES	= $(shell echo *.$(MAN_SECTION))
MAN_DEST	= $(DESTDIR)$(PKG_MAN_DIR)/man$(MAN_SECTION)
LSRCFILES	= $(MAN_PAGES)

default : $(MAN_PAGES)

include $(BUILDRULES)

install : default
	$(INSTALL) -m 755 -d $(MAN_DEST)
	$(INSTALL_MAN)
install-dev install-lib:

=== debian/changelog ===
nfs4-acl-tools (0.3.3-3) unstable; urgency=medium

  * Standards version is 3.9.6.
  * Fix uses-deprecated-compression-for-data-tarball.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 05 Nov 2014 23:20:20 +0000

nfs4-acl-tools (0.3.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761779.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:00:48 +0000

nfs4-acl-tools (0.3.3-2) unstable; urgency=low

  * Standards version is 3.9.3
  * DH compatibility level is 9
  * Use hardening options
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 08 Jun 2012 09:59:34 +1000

nfs4-acl-tools (0.3.3-1) unstable; urgency=low

  * Merge 0.3.3-0ubuntu1
    Initial release
    Closes: 399502
  * Debian source format is 3.0 (quilt)
  * Rename nfs4acl-0.2.0-compile.patch to 01-compile.patch
  * Fix patch-system-but-no-source-readme
  * Fix patch-system-but-direct-changes-in-diff
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 26 Mar 2010 13:52:16 +1100

nfs4-acl-tools (0.3.3-0ubuntu1) lucid; urgency=low

  * Initial release

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 12 May 2009 13:53:04 +0300

=== debian/control ===
Source: nfs4-acl-tools
Section: admin
Priority: extra
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), autotools-dev, automake, libattr1-dev, libtool, libtool-bin
Standards-Version: 3.9.6
Homepage: http://www.citi.umich.edu/projects/nfsv4/linux/

Package: nfs4-acl-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Commandline and GUI ACL utilities for the NFSv4 client
 This package contains commandline and GUI ACL utilities for the Linux
 NFSv4 client.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

LDFLAGS += -Wl,-z,defs

config.status:
	dh_testdir
	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub .
	autoreconf -vfi
	./configure $(CROSS) --prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE) 
	>$@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	cp -p include/builddefs include/builddefs.orig
	sed "s|/usr/bin/gmake|/usr/bin/make|" include/builddefs.orig > include/builddefs
	[ ! -f Makefile ] || $(MAKE) distclean
	mv include/builddefs.orig include/builddefs
	rm -f config.sub config.guess
	rm -f libnfs4acl/libnfs4acl.a

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	$(MAKE) prefix=$(CURDIR)/debian/nfs4-acl-tools/usr install

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://www.citi.umich.edu/projects/nfsv4/linux/nfs4-acl-tools/nfs4-acl-tools-(.*)\.tar\.gz

## nfs4-acl-tools 0.3.7

=== Makefile ===
--- 
+++ 
@@ -59,7 +59,7 @@
 clean:	# if configure hasn't run, nothing to clean
 endif
 
-$(CONFIGURE):
+$(CONFIGURE): aclocal.m4
 	autoconf
 	./configure \
 		--prefix=/ \
@@ -75,7 +75,7 @@
 	touch .census
 
 aclocal.m4::
-	aclocal --acdir=$(TOPDIR)/m4 --output=$@
+	aclocal --output=$@
 
 # we don't have any docs to install just now ...
 #

=== libnfs4acl/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2.1 of the GNU Lesser General Public License
# as published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with this program; if not, write the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston MA 02111-1307,
# USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..

LTLDFLAGS += -Wl,--version-script,$(TOPDIR)/exports
include $(TOPDIR)/include/builddefs

LTLIBRARY = libnfs4acl.la
LTLIBS = -lattr
LTDEPENDENCIES = $(TOPDIR)/include/nfs4.h

# 3 2 1  ->  .so.2.1.2
# 4 2 1  ->  .so.3.1.2
# 0 1 0  ->  .so.0.0.1
LT_CURRENT = 0
LT_REVISION = 1
LT_AGE = 0


#LIBACL_NFS4_CFILES = \
#	acl_nfs4_get_who.c \
#	acl_nfs4_get_whotype.c \
#	acl_nfs4_new.c \
#	acl_nfs4_print.c \
#	acl_nfs4_add_ace.c \
#	acl_nfs4_remove_ace.c \
#	acl_nfs4_copy_acl.c \
#	acl_nfs4_set_who.c \
#	acl_nfs4_free.c \
#	acl_nfs4_utils.c \
#	acl_nfs4_xattr_load.c \
#	acl_nfs4_xattr_pack.c \
#	acl_nfs4_xattr_size.c \
#	acl_nfs4_string2ace.c \
#	nfs4_acl_for_path.c \
#	nfs4_init_acl_from_file.c \
#	nfs4_init_acl_from_string.c \
#	nfs4_remove_string_entries_from_acl.c \
#	nfs4_remove_file_entries_from_acl.c \
#	acl_nfs4_replace_ace.c \
#	__acl_nfs4_string2ace.c \
#	nfs4_print_ace.c \
#	nfs4_print_ace_verbose.c \
#	nfs4_get_ace_type.c \
#	nfs4_get_ace_flags.c \
#	nfs4_get_ace_access.c \
#	nfs4_set_acl.c

LIBACL_NFS4_CFILES = \
	acl_nfs4_copy_acl.c \
	acl_nfs4_get_who.c \
	acl_nfs4_get_whotype.c \
	acl_nfs4_set_who.c \
	acl_nfs4_xattr_load.c \
	acl_nfs4_xattr_pack.c \
	acl_nfs4_xattr_size.c \
	nfs4_ace_from_string.c \
	nfs4_acl_for_path.c \
	nfs4_acl_spec_from_file.c \
	nfs4_acl_utils.c \
	nfs4_get_ace_access.c \
	nfs4_get_ace_flags.c \
	nfs4_get_ace_type.c \
	nfs4_insert_file_aces.c \
	nfs4_insert_string_aces.c \
	nfs4_free_acl.c \
	nfs4_new_acl.c \
	nfs4_new_ace.c \
	nfs4_print_acl.c \
	nfs4_print_ace.c \
	nfs4_print_ace_verbose.c \
	nfs4_remove_file_aces.c \
	nfs4_remove_string_aces.c \
	nfs4_set_acl.c \
	strtoul_reals.c


LIBACL_NFS4_HFILES = libacl_nfs4.h nfs4.h

CFILES = $(LIBACL_NFS4_CFILES)

HFILES = $(LIBACL_NFS4_HFILES)

LCFLAGS = 


default: $(LTLIBRARY) symmy

# i'm not sure how to get the GUI's qmake-stuff to grok libtool; so we cheat!
symmy:
	if ! [ -L libnfs4acl.a ]; then ln -s .libs/libnfs4acl.a . ; fi

include $(BUILDRULES)

install:

install-dev: default
	$(INSTALL_LTLIB_DEV)

install-lib: default
	$(INSTALL_LTLIB)

=== m4/Makefile ===
--- 
+++ 
@@ -37,8 +37,7 @@
 	manual_format.m4 \
 	package_attrdev.m4 \
 	package_globals.m4 \
-	package_utilies.m4 \
-	visibility_hidden.m4
+	package_utilies.m4
 
 default:

=== nfs4_getfacl/Makefile ===
#
# Copyright (c) 2000, 2002 Silicon Graphics, Inc.  All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
#
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
#
# http://www.sgi.com
#
# For further information regarding this notice, see:
#
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = nfs4_getfacl
CFILES = nfs4_getfacl.c
HFILES = libacl_nfs4.h nfs4.h

LLDLIBS = $(LIBNFS4ACL) $(LIBATTR)
LTDEPENDENCIES = $(LIBNFS4ACL)

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(DESTDIR)$(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(DESTDIR)$(PKG_BIN_DIR)

install-dev install-lib:

=== debian/changelog ===
nfs4-acl-tools (0.3.7-1) unstable; urgency=medium

  * New upstream release
    Closes: #925054
  * Standards version is 4.6.0
  * DH compatibility level is 13
  * Update debian/watch 
  * Update homepage 
  * Drop 01-compile.patch
  * There is no GUI
    Closes: #644893

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 06 Sep 2021 20:32:48 +1000

=== debian/control ===
Source: nfs4-acl-tools
Section: admin
Priority: extra
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 13~), autotools-dev, automake, libattr1-dev, libtool, libtool-bin
Standards-Version: 4.6.0
Homepage: http://linux-nfs.org/

Package: nfs4-acl-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Commandline and GUI ACL utilities for the NFSv4 client
 This package contains commandline ACL utilities for the Linux
 NFSv4 client.

=== debian/rules ===
--- 
+++ 
@@ -38,10 +38,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	cp -p include/builddefs include/builddefs.orig
-	sed "s|/usr/bin/gmake|/usr/bin/make|" include/builddefs.orig > include/builddefs
 	[ ! -f Makefile ] || $(MAKE) distclean
-	mv include/builddefs.orig include/builddefs
 	rm -f config.sub config.guess
 	rm -f libnfs4acl/libnfs4acl.a

=== debian/watch ===
--- 
+++ 
@@ -6,5 +6,4 @@
 # Compulsory line, this is a version 3 file
 version=3
 
-http://www.citi.umich.edu/projects/nfsv4/linux/nfs4-acl-tools/nfs4-acl-tools-(.*)\.tar\.gz
-
+http://linux-nfs.org/~bfields/nfs4-acl-tools/nfs4-acl-tools-(.*)\.tar\.gz

## nfs4-acl-tools 0.4.2

=== Makefile ===
--- 
+++ 
@@ -60,7 +60,8 @@
 endif
 
 $(CONFIGURE): aclocal.m4
-	autoconf
+	autoupdate --force
+	autoreconf --install
 	./configure \
 		--prefix=/ \
 		--exec-prefix=/ \
@@ -95,4 +96,6 @@
 
 realclean distclean: clean
 	rm -f $(LDIRT) $(CONFIGURE)
-	rm -rf autom4te.cache Logs
+	rm -rf autom4te.cache Logs configure.ac~
+	rm -rf config.guess config.sub configure~
+

=== libnfs4acl/Makefile ===
--- 
+++ 
@@ -92,6 +92,8 @@
 	nfs4_get_ace_access.c \
 	nfs4_get_ace_flags.c \
 	nfs4_get_ace_type.c \
+	nfs4_getacl.c \
+	nfs4_setacl.c \
 	nfs4_insert_file_aces.c \
 	nfs4_insert_string_aces.c \
 	nfs4_free_acl.c \

=== man/man5/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ../..
include $(TOPDIR)/include/builddefs

MAN_SECTION	= 5

MAN_PAGES	= $(shell echo *.$(MAN_SECTION))
MAN_DEST	= $(DESTDIR)$(PKG_MAN_DIR)/man$(MAN_SECTION)
LSRCFILES	= $(MAN_PAGES)

default : $(MAN_PAGES)

include $(BUILDRULES)

install : default
	$(INSTALL) -m 755 -d $(MAN_DEST)
	$(INSTALL_MAN)
install-dev install-lib:

=== debian/changelog ===
nfs4-acl-tools (0.4.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.0
  * Rules-Requires-Root: binary-targets
    Closes: #1089401 
  * Ignore changes on config.{sub,guess}
    Closes: #1048183 
  * Replace 'nfsv4@linux-nfs.org' with 'linux-nfs@vger.kernel.org' in
    man pages
    Closes: #1051145
  * Update debian/watch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 31 Dec 2024 14:13:01 +1100

nfs4-acl-tools (0.3.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary build dependency on libattr1-dev. (Closes: #953933)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 20 Oct 2024 15:37:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: extra
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 13~), autotools-dev, automake, libattr1-dev, libtool, libtool-bin
-Standards-Version: 4.6.0
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 13~), autotools-dev, automake, libtool, libtool-bin
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.7.0
 Homepage: http://linux-nfs.org/
 
 Package: nfs4-acl-tools

=== debian/watch ===
--- 
+++ 
@@ -6,4 +6,4 @@
 # Compulsory line, this is a version 3 file
 version=3
 
-http://linux-nfs.org/~bfields/nfs4-acl-tools/nfs4-acl-tools-(.*)\.tar\.gz
+http://linux-nfs.org/~steved/nfs4-acl-tools/nfs4-acl-tools-(.*)\.tar\.gz
